/* Full-page locked viewport */

@font-face {
	font-family: "SpiderManRetro";
	src: url("fonts/04B_03__.TTF") format("truetype");
	font-weight: normal;
	font-style: normal;
}

body {
	font-family: "SpiderManRetro", monospace;
	margin: 0;
	padding: 0;
	width: 100vw;
	height: 100vh;
	/* background-color: #080a0f; */
	display: flex;
	justify-content: center;
	align-items: center;
	overflow: hidden;
}

.outerbox {
	width: 96%;
	height: 95vh;
	border: 3px solid black; /* Radioactive Green */
	border-radius: 20px;
	box-shadow: 0 0 20px rgba(38, 35, 35, 0.3);
	position: relative;
	overflow: hidden;
	display: flex;
	flex-direction: column;
}

.info-container {
	width: 100%;
	height: 100%;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-template-rows: 1fr 1fr 1fr;
	gap: 0px;
	grid-template-areas:
		"status status status status"
		"logo info info info"
		"stack stack stack stack";
}

.logo-img-cls {
	padding: 5px;
	grid-area: logo;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
	justify-self: center;
	align-self: center;
}

.info-sec {
	grid-area: info;
	max-width: 100%;
	max-height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 1rem;
}

.status-bar {
	grid-area: status;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.stack-sec {
	grid-area: stack;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.retro-arcade-text {
	position: relative;
	font-family: "SpiderManRetro", "Press Start 2P", monospace;
	font-size: 2.5rem;
	font-weight: 900;
	text-transform: uppercase;

	/* Top layer: Pure Gradient */
	background: linear-gradient(180deg, #ffed4a 0%, #ff5e00 50%, #d92600 100%);
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	display: inline-block;
}

/* Bottom layer: White Stroke + Black Drop Shadow */
.retro-arcade-text::before {
	content: attr(data-text);
	position: absolute;
	left: 0;
	top: 0;
	z-index: -1;
	-webkit-text-stroke: 6px #ffffff;
	-webkit-text-fill-color: #ffffff;
	filter: drop-shadow(4px 4px 0px #000000);
}

.btns {
	position: relative;
	width: 240px;
	height: 80px;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	background: rgba(0, 0, 0, 0.1);
	font-size: 2em;
	text-transform: uppercase;
	text-decoration: none;
	color: #73f0ff;
	letter-spacing: 0.1em;
	transition: 0.5s;
	transition-delay: 0.5s;
}

.btns:hover {
	filter: drop-shadow(0 0 10px #7ef0ff) drop-shadow(0 0 30px #7ef0ff);
	color: #363a3b;
}

.btns span {
	position: absolute;
	left: 0;
	width: 100%;
	height: 2px;
	background: #7ef0ff;
	z-index: -1;
	transform: scaleX(0);
	transform-origin: right;
	transition: transform 0.25s ease-in-out;
}

.btns:hover span {
	transform: scaleX(1);
	transform-origin: left;
}

/* The Modal (background) */
.modal {
	display: none; /* Hidden by default */
	position: fixed; /* Stay in place */
	z-index: 1; /* Sit on top */
	left: 0;
	top: 0;
	width: 100%; /* Full width */
	height: 100%; /* Full height */
	overflow: auto; /* Enable scroll if needed */
	background-color: rgb(0, 0, 0, 0.7); /* Fallback color */
	/*background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
	backdrop-filter: blur(4px);

	justify-content: center;
	align-items: center;
}

/* Modal Content/Box */
.modal-content {
	position: relative;
	width: 80%;
	max-width: 600px;
	padding: 2rem;
}


.close {
	color: #aaa;
	float: right;
	font-size: 28px;
	font-weight: bold;
}

.close:hover,
.close:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}

.arcade-play-btn a {
	text-decoration: none;
}
